<div class="signin-content animated fadeIn">
  <mat-card>
        <mat-card-content>
            <img src="../../assets/img/1.png" width="200px">
            <form [formGroup]="loginForm" *ngIf="!loading" (ngSubmit)="onSubmit()">
              <mat-form-field class="full-width-input">
                <input matInput placeholder="Email" type="email" id="email" formControlName="email"
                  [ngClass]="{ 'is-invalid': submitted && f.email.errors }"
                >
              </mat-form-field>
              <mat-error *ngIf="submitted && f.email.errors" class="invalid-feedback">
                <div *ngIf="f.email.errors.required">Username is required</div>
              </mat-error>

              <mat-form-field class="full-width-input">
                <input matInput type="password" formControlName="password" id="password" placeholder="Password"
                [ngClass]="{ 'is-invalid': submitted && f.password.errors }"
                >
              </mat-form-field>
              <mat-error *ngIf="submitted && f.password.errors" class="invalid-feedback">
                <div *ngIf="f.password.errors.required">Password is required</div>
              </mat-error>

              <div *ngIf="!loading">
                <button mat-raised-button color="primary" type="submit">
                  Login
                </button>
              </div>

              <!-- <button mat-raised-button color="primary" (click)="onSwitchMode()" type="button">
                Switch to {{ isLoginMode ? 'Sign Up' : 'Login' }}
              </button> -->
            </form>
            <br/>
            <div *ngIf="loading">
              <mat-spinner style="margin:0 auto;" mode="indeterminate"></mat-spinner>
            </div>
            <div class="alert alert-danger" role="alert" *ngIf="error">
              <p style="color:red">{{ error }}</p>
          </div>
        </mat-card-content>
  </mat-card>
</div>
